package com.common.bean;

import java.io.Serializable;

/**
 * Created by SiKang on 2018/9/30.
 */
public class DisplayBean implements Serializable {
    public static final String ACCOUNTKIT = "ACCOUNTKIT";
    public static final String SMS = "SMS";

    private String smsFlag; //是否支持SMS登录， 0 不支持，1 支持
    private boolean tongDunFlag; //是否开启同盾入口

    private String description;
    private String customerMobile;
    //登录方式 SMS:短信登录
    private String loginType;
    private String advanceFaceRecognitionAccessKey;
    private String advanceFaceRecognitionSecretKey;
    private String advancePictureQualityAccessKey;
    private String advancePictureQualitySecretKey;

    private AccountKitInfo accountKitInfo;

    public class AccountKitInfo implements Serializable {
        String applicationId;
        String applicationSecret;
        String appclientToken;

        public String getApplicationId() {
            return applicationId;
        }

        public void setApplicationId(String applicationId) {
            this.applicationId = applicationId;
        }

        public String getApplicationSecret() {
            return applicationSecret;
        }

        public void setApplicationSecret(String applicationSecret) {
            this.applicationSecret = applicationSecret;
        }

        public String getAppclientToken() {
            return appclientToken;
        }

        public void setAppclientToken(String appclientToken) {
            this.appclientToken = appclientToken;
        }
    }


    public AccountKitInfo getAccountKitInfo() {
        return accountKitInfo;
    }

    public void setAccountKitInfo(AccountKitInfo accountKitInfo) {
        this.accountKitInfo = accountKitInfo;
    }

    private long updateTime;

    public String getAdvanceFaceRecognitionAccessKey() {
        return advanceFaceRecognitionAccessKey;
    }

    public void setAdvanceFaceRecognitionAccessKey(String advanceFaceRecognitionAccessKey) {
        this.advanceFaceRecognitionAccessKey = advanceFaceRecognitionAccessKey;
    }

    public String getAdvanceFaceRecognitionSecretKey() {
        return advanceFaceRecognitionSecretKey;
    }

    public void setAdvanceFaceRecognitionSecretKey(String advanceFaceRecognitionSecretKey) {
        this.advanceFaceRecognitionSecretKey = advanceFaceRecognitionSecretKey;
    }

    public String getAdvancePictureQualityAccessKey() {
        return advancePictureQualityAccessKey;
    }

    public void setAdvancePictureQualityAccessKey(String advancePictureQualityAccessKey) {
        this.advancePictureQualityAccessKey = advancePictureQualityAccessKey;
    }

    public String getAdvancePictureQualitySecretKey() {
        return advancePictureQualitySecretKey;
    }

    public void setAdvancePictureQualitySecretKey(String advancePictureQualitySecretKey) {
        this.advancePictureQualitySecretKey = advancePictureQualitySecretKey;
    }

    public long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(long updateTime) {
        this.updateTime = updateTime;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getCustomerMobile() {
        return customerMobile;
    }

    public void setCustomerMobile(String customerMobile) {
        this.customerMobile = customerMobile;
    }

    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    public String getSmsFlag() {
        return smsFlag;
    }

    public void setSmsFlag(String smsFlag) {
        this.smsFlag = smsFlag;
    }

    public boolean isTongDunFlag() {
        return tongDunFlag;
    }

    public void setTongDunFlag(boolean tongDunFlag) {
        this.tongDunFlag = tongDunFlag;
    }
}
